paso::Function Struct Referenceabstract

`#include <Functions.h>`

Inheritance diagram for paso::Function:

## Public Member Functions

| Function (const escript::JMPI &mpi_info)
virtual | ~Function ()
virtual SolverResult | call (double *value, const double *arg, Performance *pp)=0
| sets value=F(arg) More...
SolverResult | derivative (double *J0w, const double *w, const double *f0, const double *x0, double *setoff, Performance *pp)
virtual dim_t | getLen ()=0
| returns the length of the vectors used by this function More...

## Public Attributes

const escript::JMPI | mpi_info

## Constructor & Destructor Documentation

## Function()

paso::Function::Function | ( | const escript::JMPI & | mpi_info | ) |

## ~Function()

paso::Function::~Function | ( |  | ) |

virtual

## Member Function Documentation

## call()

virtual SolverResult paso::Function::call | ( | double * | value,
|  | const double * | arg,
|  | Performance * | pp
| ) |  |

pure virtual

sets value=F(arg)

Implemented in paso::LinearSystem.

## derivative()

SolverResult paso::Function::derivative | ( | double * | J0w,
|  | const double * | w,
|  | const double * | f0,
|  | const double * | x0,
|  | double * | setoff,
|  | Performance * | pp
| ) |  |

numerical calculation of the directional derivative J0w of F at x0 in the direction w. f0 is the value of F at x0. setoff is workspace

References escript::fabs().

## getLen()

virtual dim_t paso::Function::getLen | ( |  | ) |

pure virtual

returns the length of the vectors used by this function

Implemented in paso::LinearSystem.

## Member Data Documentation

## mpi_info

const escript::JMPI paso::Function::mpi_info

The documentation for this struct was generated from the following files:

- Functions.h
- Functions.cpp